package com.fjhx.material.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.material.MaterialReceivingDetails;
import com.fjhx.params.material.MaterialReceivingDetailsVo;
import com.fjhx.base.BaseService;

import java.util.Map;

/**
 * <p>
 * 物料接收明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-11
 */
public interface MaterialReceivingDetailsService extends BaseService<MaterialReceivingDetails> {

    Page<MaterialReceivingDetails> getPage(Map<String, String> condition);

    void add(MaterialReceivingDetailsVo materialReceivingDetailsVo);

    void edit(MaterialReceivingDetailsVo materialReceivingDetailsVo);

    void delete(MaterialReceivingDetailsVo materialReceivingDetailsVo);

}
